#include <stdio.h>
main()
{
    int T,N,M,K,zbir,j;
    scanf("%d",&T);
    for(int i=0;i<T;i++)
    {
        zbir=0;
        j=1;
        scanf("%d %d %d",&N,&M,&K);
        while(N>0)
        {
            if(N>=K)
                zbir+=K*j;
            else
                zbir+=N*j;
            N-=K;
            j++;
        }
        if(zbir<=M)
            printf("Tak\n");
            else
                printf("Nie\n");
}
}